Package twisted :: Package internet :: Module protocol :: Class ConnectedDatagramProtocol

[show private | hide private]
[frames | no frames]

## Class ConnectedDatagramProtocol

    DatagramProtocol --+
                       |
                      ConnectedDatagramProtocol

Protocol for connected datagram-oriented transport, e.g. UDP.

Method Summary
| ``connectionFailed`(self, failure)` Called if connecting failed.
| ``datagramReceived`(self, datagram)` Called when a datagram is received.
| ``doStart`(self)` Make sure startProtocol is called. (inherited from `DatagramProtocol`)
| ``doStop`(self)` Make sure stopProtocol is called. (inherited from `DatagramProtocol`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `DatagramProtocol`)
| ``startProtocol`(self)` Called when a transport is connected to this protocol. (inherited from `DatagramProtocol`)
| ``stopProtocol`(self)` Called when the transport is disconnected. (inherited from `DatagramProtocol`)

Method Details

### connectionFailed(self, failure)

Called if connecting failed.

Usually this will be due to a DNS lookup failure.

### datagramReceived(self, datagram)

Called when a datagram is received.

  Parameters:
    `datagram` - the string received from the transport.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:05 2003 | http://epydoc.sf.net